classification
Title: turtledemo.colormixer crashes with a stack overflow
Type: crash Stage: resolved
Components: Demos and Tools Versions: Python 3.8
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: jkloth, terry.reedy, tusharsadhwani
Priority: normal Keywords:

Created on 2020-09-11 08:29 by tusharsadhwani, last changed 2020-09-21 11:22 by terry.reedy. This issue is now closed.

Messages (10)
msg376704 - (view) Author: Tushar Sadhwani (tusharsadhwani) Date: 2020-09-11 08:29
turtledemo.colormixer crashes after (what i'm assuming) 1000 changes to the state of a color bar.


# Error:

PS C:\Users\tusha> python -m turtledemo.colormixer
Fatal Python error: Cannot recover from stack overflow.
Python runtime state: initialized

Current thread 0x00000f74 (most recent call first):
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 2761 in coords
  File "<string>", line 1 in coords
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 755 in _pointlist
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 3158 in _goto
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 1826 in sety
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtledemo\colormixer.py", line 29 in shift
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 655 in eventfun
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1883 in __call__
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1305 in update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 562 in _update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 2662 in _update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 3195 in _goto
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 1826 in sety
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtledemo\colormixer.py", line 29 in shift
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 655 in eventfun
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1883 in __call__
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1305 in update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 562 in _update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 583 in _bgcolor
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 1240 in bgcolor
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtledemo\colormixer.py", line 35 in setbgcolor
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtledemo\colormixer.py", line 32 in shift
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 655 in eventfun
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1883 in __call__
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1305 in update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 562 in _update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 2662 in _update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 3195 in _goto
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 1826 in sety
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtledemo\colormixer.py", line 29 in shift
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 655 in eventfun
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1883 in __call__
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1305 in update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 562 in _update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 583 in _bgcolor
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 1240 in bgcolor
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtledemo\colormixer.py", line 35 in setbgcolor
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtledemo\colormixer.py", line 32 in shift
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 655 in eventfun
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1883 in __call__
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1305 in update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 562 in _update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 583 in _bgcolor
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 1240 in bgcolor
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtledemo\colormixer.py", line 35 in setbgcolor
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtledemo\colormixer.py", line 32 in shift
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 655 in eventfun
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1883 in __call__
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1305 in update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 562 in _update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 2662 in _update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 3195 in _goto
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 1826 in sety
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtledemo\colormixer.py", line 29 in shift
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 655 in eventfun
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1883 in __call__
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1305 in update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 562 in _update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 583 in _bgcolor
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 1240 in bgcolor
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtledemo\colormixer.py", line 35 in setbgcolor
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtledemo\colormixer.py", line 32 in shift
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 655 in eventfun
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1883 in __call__
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1305 in update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 562 in _update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 2662 in _update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 3195 in _goto
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 1826 in sety
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtledemo\colormixer.py", line 29 in shift
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 655 in eventfun
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1883 in __call__
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1305 in update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 562 in _update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 583 in _bgcolor
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 1240 in bgcolor
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtledemo\colormixer.py", line 35 in setbgcolor
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtledemo\colormixer.py", line 32 in shift
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 655 in eventfun
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1883 in __call__
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1305 in update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 562 in _update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 2662 in _update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 2459 in pen
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 2291 in fillcolor
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtledemo\colormixer.py", line 31 in shift
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 655 in eventfun
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1883 in __call__
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1305 in update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 562 in _update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 2662 in _update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 3195 in _goto
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 1826 in sety
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtledemo\colormixer.py", line 29 in shift
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 655 in eventfun
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1883 in __call__
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\tkinter\__init__.py", line 1305 in update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 562 in _update
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 583 in _bgcolor
  File "C:\Users\tusha\.pyenv\pyenv-win\versions\3.8.1-amd64\lib\turtle.py", line 1240 in bgcolor
  ...
msg376772 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-09-12 04:18
I cannot reproduce on Win 10, 32bit repository debug builds, amd64 machine, with either current master or 3.8, started from command prompt in normal environment with same command.  I also used installed 3.9 a bit.

Are .pyenv and pyenv-win your names or do they mean something possibly relevant?  I presume PS is PowerShell, which should not be relevant.
Did you get the stack trace upon startup, or thereafter, without touching the app?  If not, what did you do, in detail?

One time crash or repeatable?  Either way, please try current release.  If we cannot reproduce, we cannot test a fix. 

In the stacktrace, each cycle begins with a mouse-move event, handled by eventfun, which wraps and calls the user function (here 'shift) with event.x, event.y.  The relevant code is

    def shift(self, x, y):
        self.sety(max(0,min(y,1)))
        self._color[self.x] = self.ycor()
        self.fillcolor(self._color)
        setbgcolor()

def setbgcolor():
    screen.bgcolor(red.ycor(), green.ycor(), blue.ycor())

Both sety (move turtle to y) and bgcolor require an update __call__ into tcl/tk.  These normally should return and the call stack back to eventfun unwound.  Instead, it appears that new event handlings get added.  I suspect something peculiar about your system.

The line  'File "<string>", line 1 in coords' is extremely odd, as it looks like an interactive injection of a command.  However, the previous trace line is '...turtle.py", line 755 in _pointlist', referring to turtle line

        cl = self.cv.coords(item)

where cv is a tkinter canvas, and the 2761 in the top trace is the line within the coords methods calling tk.  So maybe <string> is an anomaly related to stack exhaustion.

Another possible factor is the turtle _items list.  It can grow, but I am not familiar with turtle internals.
msg376824 - (view) Author: Tushar Sadhwani (tusharsadhwani) Date: 2020-09-13 05:57
pyenv is a python version management tool. But this issue has nothing to do with it.
I ran the same thing on python 3.8.5 (both 32 and 64bit) and the same error occured

C:\Users\tusha\AppData\Local\Programs\Python\Python38-32>python.exe
Python 3.8.5 (tags/v3.8.5:580fbb0, Jul 20 2020, 15:43:08) [MSC v.1926 32 bit (Intel)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> ^Z


C:\Users\tusha\AppData\Local\Programs\Python\Python38-32>python.exe -m turtledemo.colormixer
EVENTLOOP
Fatal Python error: Cannot recover from stack overflow.
Python runtime state: initialized

Current thread 0x00002534 (most recent call first):
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\turtle.py", line 251 in __new__
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\turtle.py", line 1826 in sety
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\turtledemo\colormixer.py", line 29 in shift
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\turtle.py", line 655 in eventfun
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\tkinter\__init__.py", line 1883 in __call__
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\tkinter\__init__.py", line 1305 in update
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\turtle.py", line 562 in _update
  # ...


PS C:\Users\tusha> py
Python 3.8.5 (tags/v3.8.5:580fbb0, Jul 20 2020, 15:57:54) [MSC v.1924 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> exit()
PS C:\Users\tusha> py -m turtledemo.colormixer
EVENTLOOP
Fatal Python error: Cannot recover from stack overflow.
Python runtime state: initialized

Current thread 0x000023f4 (most recent call first):
  File "C:\Python385-64\lib\turtle.py", line 251 in __new__
  File "C:\Python385-64\lib\turtle.py", line 1826 in sety
  File "C:\Python385-64\lib\turtledemo\colormixer.py", line 29 in shift
  File "C:\Python385-64\lib\turtle.py", line 655 in eventfun
  File "C:\Python385-64\lib\tkinter\__init__.py", line 1883 in __call__
  File "C:\Python385-64\lib\tkinter\__init__.py", line 1305 in update
  File "C:\Python385-64\lib\turtle.py", line 562 in _update
  # ...


I'm running Windows 10 2004 build 19041.508
msg376825 - (view) Author: Tushar Sadhwani (tusharsadhwani) Date: 2020-09-13 06:00
Also, forgot to add

The app crashes pretty quickly for me, to reproduce the error all I have to do is run the colormixer demo and move any of the bars up and down a couple of times.
msg376830 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-09-13 10:08
I ran turtledemo and played with colormixer a few years ago, so slightly older Windows should not matter.  Was Python installed with the python.org installer?  (The appdate path suggests so.)  Your single-user versus my all-user install should not matter.

Please run 'python -m turtle'.  Demo should end with 'click me' to end.

Run the test suite with 'python -m test -ugui  -j0'.  I should be under 5 min running in parallel.  I expect the locale tests to fail.  And test_winconsoleio may hang.  If/when it is the last test running, stop with control-C.  Does anything else fail?
msg376835 - (view) Author: Tushar Sadhwani (tusharsadhwani) Date: 2020-09-13 12:01
Ran the following tests on Python 3.8.5 32bit

colormixer crashed with the same error,
python -m  turtle did not crash

Here's the output of the test suite:

PS C:\Users\tusha\AppData\Local\Programs\Python\Python38-32> .\python.exe -m test -ugui -j0
== CPython 3.8.5 (tags/v3.8.5:580fbb0, Jul 20 2020, 15:43:08) [MSC v.1926 32 bit (Intel)]
== Windows-10-10.0.19041-SP0 little-endian
== cwd: C:\Users\tusha\AppData\Local\Temp\test_python_5700
== CPU count: 4
== encodings: locale=cp1252, FS=utf-8
0:00:00 Run tests in parallel using 6 child processes
0:00:00 [  1/423] test_types passed
0:00:01 [  2/423] test_opcodes passed
0:00:01 [  3/423] test_grammar passed
0:00:01 [  4/423] test_dict passed
0:00:01 [  5/423] test_builtin passed
0:00:02 [  6/423] test_exceptions passed
0:00:02 [  7/423] test___future__ passed
0:00:03 [  8/423/1] test__locale failed
test test__locale failed -- multiple errors occurred; run in verbose mode for details
0:00:03 [  9/423/1] test__opcode passed
0:00:03 [ 10/423/1] test___all__ passed
0:00:04 [ 11/423/1] test__osx_support passed
0:00:04 [ 12/423/1] test_abc passed
0:00:04 [ 13/423/1] test_abstract_numbers passed
0:00:04 [ 14/423/1] test_doctest2 passed
0:00:04 [ 15/423/1] test_doctest passed
0:00:05 [ 16/423/1] test_aifc passed
0:00:06 [ 17/423/1] test_array passed
0:00:06 [ 18/423/1] test_asdl_parser skipped
test_asdl_parser skipped -- test irrelevant for an installed Python
0:00:07 [ 19/423/1] test_argparse passed
0:00:07 [ 20/423/1] test_unittest passed
0:00:08 load avg: 27.20 [ 21/423/1] test_asyncgen passed
0:00:08 load avg: 27.11 [ 22/423/1] test_ast passed
0:00:09 load avg: 27.11 [ 23/423/1] test_atexit passed
0:00:09 load avg: 27.11 [ 24/423/1] test_audioop passed
0:00:09 load avg: 26.88 [ 25/423/1] test_asyncore passed
0:00:09 load avg: 26.88 [ 26/423/1] test_augassign passed
0:00:10 load avg: 26.88 [ 27/423/1] test_support passed
0:00:10 load avg: 26.88 [ 28/423/1] test__xxsubinterpreters passed
0:00:10 load avg: 26.88 [ 29/423/1] test_baseexception passed
0:00:10 load avg: 26.90 [ 30/423/1] test_bigaddrspace passed
0:00:10 load avg: 26.90 [ 31/423/1] test_base64 passed
0:00:10 load avg: 26.90 [ 32/423/1] test_bdb passed
0:00:11 load avg: 26.90 [ 33/423/1] test_bigmem passed
0:00:11 load avg: 26.90 [ 34/423/1] test_binhex passed
0:00:11 load avg: 26.90 [ 35/423/1] test_binascii passed
0:00:11 load avg: 26.90 [ 36/423/1] test_binop passed
0:00:11 load avg: 27.00 [ 37/423/1] test_bool passed
0:00:11 load avg: 27.00 [ 38/423/1] test_bisect passed
0:00:11 load avg: 27.00 [ 39/423/2] test_buffer failed
test test_buffer crashed -- Traceback (most recent call last):
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\libregrtest\runtest.py", line 270, in _runtest_inner
    refleak = _runtest_inner2(ns, test_name)
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\libregrtest\runtest.py", line 221, in _runtest_inner2
    the_module = importlib.import_module(abstest)
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 783, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\test_buffer.py", line 44, in <module>
    from numpy import ndarray as numpy_array
  File "C:\Users\tusha\AppData\Roaming\Python\Python38\site-packages\numpy\__init__.py", line 138, in <module>
    from . import _distributor_init
  File "C:\Users\tusha\AppData\Roaming\Python\Python38\site-packages\numpy\_distributor_init.py", line 26, in <module>
    WinDLL(os.path.abspath(filename))
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\ctypes\__init__.py", line 373, in __init__
    self._handle = _dlopen(self._name, mode)
OSError: [WinError 193] %1 is not a valid Win32 application
0:00:13 load avg: 27.05 [ 40/423/2] test_audit passed
0:00:13 load avg: 27.05 [ 41/423/2] test_bytes passed
0:00:14 load avg: 27.21 [ 42/423/2] test_c_locale_coercion passed
0:00:14 load avg: 27.21 [ 43/423/2] test_call passed
0:00:19 load avg: 27.26 [ 44/423/2] test_calendar passed
0:00:19 load avg: 27.26 [ 45/423/2] test_bz2 passed
0:00:19 load avg: 27.26 [ 46/423/2] test_cgi passed
0:00:19 load avg: 26.88 [ 47/423/2] test_charmapcodec passed
0:00:19 load avg: 26.88 [ 48/423/2] test_cgitb passed
0:00:20 load avg: 26.88 [ 49/423/2] test_class passed
0:00:20 load avg: 26.88 [ 50/423/2] test_clinic skipped
test_clinic skipped -- 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\Tools\\clinic' path does not exist
0:00:20 load avg: 26.88 [ 51/423/2] test_cmath passed
0:00:20 load avg: 26.88 [ 52/423/2] test_cmd passed
0:00:20 load avg: 26.60 [ 53/423/2] test_asynchat passed
0:00:21 load avg: 26.60 [ 54/423/2] test_code passed
0:00:21 load avg: 26.60 [ 55/423/2] test_code_module passed
0:00:22 load avg: 26.44 [ 56/423/2] test_codeccallbacks passed
0:00:22 load avg: 26.44 [ 57/423/2] test_capi passed
0:00:23 load avg: 26.43 [ 58/423/2] test_codecencodings_hk passed
0:00:23 load avg: 26.43 [ 59/423/2] test_codecencodings_cn passed
0:00:23 load avg: 26.43 [ 60/423/2] test_codecencodings_iso2022 passed
0:00:24 load avg: 26.44 [ 61/423/2] test_bufio passed
0:00:24 load avg: 26.44 [ 62/423/2] test_codecencodings_jp passed
0:00:24 load avg: 26.44 [ 63/423/2] test_codecencodings_kr passed
0:00:24 load avg: 26.44 [ 64/423/2] test_codecencodings_tw passed
0:00:24 load avg: 26.44 [ 65/423/2] test_codecmaps_cn passed
0:00:25 load avg: 26.44 [ 66/423/2] test_codecmaps_hk passed
0:00:25 load avg: 26.44 [ 67/423/2] test_codecmaps_jp passed
0:00:25 load avg: 26.44 [ 68/423/2] test_codecmaps_kr passed
0:00:25 load avg: 26.44 [ 69/423/2] test_codecmaps_tw passed
0:00:25 load avg: 26.44 [ 70/423/2] test_codeop passed
0:00:26 load avg: 26.53 [ 71/423/2] test_colorsys passed
0:00:26 load avg: 26.53 [ 72/423/2] test_compare passed
0:00:27 load avg: 26.57 [ 73/423/2] test_collections passed
0:00:27 load avg: 26.57 [ 74/423/2] test_codecs passed
0:00:28 load avg: 26.57 [ 75/423/2] test_complex passed
0:00:29 load avg: 26.14 [ 76/423/2] test_compile passed
0:00:30 load avg: 26.14 [ 77/423/2] test_cmd_line passed
0:00:30 load avg: 25.86 [ 78/423/2] test_contains passed
0:00:30 load avg: 25.86 [ 79/423/2] test_configparser passed
0:00:30 load avg: 25.86 [ 80/423/2] test_cmd_line_script passed
0:00:30 load avg: 25.86 [ 81/423/2] test_contextlib passed
0:00:31 load avg: 25.86 [ 82/423/2] test_contextlib_async passed
Task was destroyed but it is pending!
task: <Task pending name='Task-9' coro=<<async_generator_athrow without __name__>()>>
Task was destroyed but it is pending!
task: <Task pending name='Task-11' coro=<<async_generator_athrow without __name__>()>>
Task was destroyed but it is pending!
task: <Task pending name='Task-16' coro=<<async_generator_athrow without __name__>()>>
0:00:31 load avg: 25.53 [ 83/423/2] test_copy passed
0:00:31 load avg: 25.53 [ 84/423/3] test_copyreg failed
test test_copyreg crashed -- Traceback (most recent call last):
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\libregrtest\runtest.py", line 270, in _runtest_inner
    refleak = _runtest_inner2(ns, test_name)
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\libregrtest\runtest.py", line 221, in _runtest_inner2
    the_module = importlib.import_module(abstest)
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 783, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\test_copyreg.py", line 4, in <module>
    from test.pickletester import ExtensionSaver
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\pickletester.py", line 38, in <module>
    import numpy as np
  File "C:\Users\tusha\AppData\Roaming\Python\Python38\site-packages\numpy\__init__.py", line 138, in <module>
    from . import _distributor_init
  File "C:\Users\tusha\AppData\Roaming\Python\Python38\site-packages\numpy\_distributor_init.py", line 26, in <module>
    WinDLL(os.path.abspath(filename))
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\ctypes\__init__.py", line 373, in __init__
    self._handle = _dlopen(self._name, mode)
OSError: [WinError 193] %1 is not a valid Win32 application
0:00:32 load avg: 25.30 [ 85/423/3] test_context passed
0:00:32 load avg: 25.30 [ 86/423/3] test_coroutines passed
0:00:33 load avg: 25.30 [ 87/423/3] test_crashers passed
0:00:33 load avg: 25.30 [ 88/423/3] test_crypt passed
0:00:33 load avg: 24.97 [ 89/423/3] test_cprofile passed
0:00:33 load avg: 24.97 [ 90/423/3] test_csv passed
0:00:33 load avg: 24.97 [ 91/423/3] test_curses skipped (resource denied)
test_curses skipped -- Use of the 'curses' resource not enabled
0:00:34 load avg: 24.97 [ 92/423/3] test_dataclasses passed
0:00:34 load avg: 24.77 [ 93/423/3] test_dbm passed
0:00:35 load avg: 24.77 [ 94/423/3] test_ctypes passed
0:00:35 load avg: 24.69 [ 95/423/3] test_datetime passed
0:00:35 load avg: 24.69 [ 96/423/3] test_dbm_gnu skipped
test_dbm_gnu skipped -- No module named '_gdbm'
0:00:36 load avg: 24.69 [ 97/423/3] test_dbm_ndbm skipped
test_dbm_ndbm skipped -- No module named '_dbm'
0:00:36 load avg: 24.63 [ 98/423/3] test_decorators passed
0:00:37 load avg: 24.63 [ 99/423/3] test_defaultdict passed
0:00:38 load avg: 24.40 [100/423/3] test_deque passed -- running: test_asyncio (31.4 sec)
0:00:39 load avg: 24.40 [101/423/3] test_dbm_dumb passed -- running: test_asyncio (31.5 sec)
0:00:39 load avg: 24.22 [102/423/3] test_descrtut passed -- running: test_asyncio (31.9 sec)
0:00:40 load avg: 24.22 [103/423/3] test_devpoll skipped -- running: test_asyncio (32.6 sec)
test_devpoll skipped -- test works only on Solaris OS family
0:00:40 load avg: 24.24 [104/423/3] test_dict_version passed -- running: test_asyncio (33.0 sec)
0:00:40 load avg: 24.24 [105/423/3] test_descr passed -- running: test_asyncio (33.2 sec)
0:00:41 load avg: 24.24 [106/423/3] test_dictcomps passed -- running: test_asyncio (33.5 sec)
0:00:41 load avg: 24.24 [107/423/3] test_dictviews passed -- running: test_asyncio (33.6 sec)
0:00:42 load avg: 24.22 [108/423/3] test_dis passed -- running: test_asyncio (34.6 sec)
0:00:42 load avg: 24.22 [109/423/3] test_difflib passed -- running: test_asyncio (34.9 sec)
0:00:44 load avg: 24.21 [110/423/3] test_decimal passed -- running: test_asyncio (37.0 sec)
0:00:44 load avg: 24.09 [111/423/3] test_dtrace passed -- running: test_asyncio (37.5 sec)
0:00:45 load avg: 24.09 [112/423/3] test_dummy_thread passed -- running: test_asyncio (37.9 sec)
0:00:45 load avg: 23.91 [113/423/3] test_dummy_threading passed -- running: test_asyncio (38.3 sec)
0:00:46 load avg: 23.91 [114/423/3] test_dynamic passed -- running: test_asyncio (38.7 sec)
0:00:46 load avg: 23.91 [115/423/3] test_dynamicclassattribute passed -- running: test_asyncio (39.1 sec)
0:00:47 load avg: 23.64 [116/423/3] test_eintr passed -- running: test_asyncio (39.6 sec)
0:00:48 load avg: 23.38 [117/423/4] test_compileall failed -- running: test_asyncio (41.3 sec)
test test_compileall failed -- Traceback (most recent call last):
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\test_py_compile.py", line 20, in wrapper
    return fxn(*args, **kwargs)
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\test_py_compile.py", line 20, in wrapper
    return fxn(*args, **kwargs)
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\test_compileall.py", line 322, in test_no_args_respects_force_flag
    self.assertRunOK('-f', PYTHONPATH=self.directory)
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\test_compileall.py", line 271, in assertRunOK
    rc, out, err = script_helper.assert_python_ok(
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\support\script_helper.py", line 157, in assert_python_ok
    return _assert_python(True, *args, **env_vars)
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\support\script_helper.py", line 143, in _assert_python
    res.fail(cmd_line)
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\support\script_helper.py", line 70, in fail
    raise AssertionError("Process return code is %d\n"
AssertionError: Process return code is 1
command line: ['C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\python.exe', '-X', 'faulthandler', '-S', '-m', 'compileall', '-f']

stdout:
---
(... truncated stdout ...)\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\optparse.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\os.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\pathlib.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\pdb.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\pickle.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\pickletools.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\pipes.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\pkgutil.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\platform.py'...

*** PermissionError: [WinError 5] Access is denied: 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\__pycache__\\platform.cpython-38.pyc.9113376' -> 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\__pycache__\\platform.cpython-38.pyc'

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\plistlib.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\poplib.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\posixpath.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\pprint.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\profile.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\pstats.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\pty.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\py_compile.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\pyclbr.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\pydoc.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\queue.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\quopri.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\random.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\re.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\reprlib.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\rlcompleter.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\runpy.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\sched.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\secrets.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\selectors.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\shelve.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\shlex.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\shutil.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\signal.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\site.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\smtpd.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\smtplib.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\sndhdr.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\socket.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\socketserver.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\sre_compile.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\sre_constants.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\sre_parse.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\ssl.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\stat.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\statistics.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\string.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\stringprep.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\struct.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\subprocess.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\sunau.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\symbol.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\symtable.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\sysconfig.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\tabnanny.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\tarfile.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\telnetlib.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\tempfile.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\textwrap.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\this.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\threading.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\timeit.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\token.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\tokenize.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\trace.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\traceback.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\tracemalloc.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\tty.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\turtle.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\types.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\typing.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\uu.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\uuid.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\warnings.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\wave.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\weakref.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\webbrowser.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\xdrlib.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\zipapp.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\zipfile.py'...

Compiling 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\zipimport.py'...
---

stderr:
---

---
0:00:49 load avg: 23.38 [118/423/4] test_embed passed -- running: test_asyncio (42.1 sec)
0:00:50 load avg: 23.34 [119/423/4] test_ensurepip passed -- running: test_asyncio (43.3 sec)
0:00:51 load avg: 23.06 [120/423/4] test_enum passed -- running: test_asyncio (44.5 sec)
0:00:52 load avg: 23.06 [121/423/4] test_enumerate passed -- running: test_asyncio (44.8 sec)
0:00:52 load avg: 23.06 [122/423/4] test_eof passed -- running: test_asyncio (45.3 sec)
0:00:53 load avg: 22.88 [123/423/4] test_epoll skipped -- running: test_asyncio (45.6 sec)
test_epoll skipped -- test works only on Linux 2.6
0:00:53 load avg: 22.88 [124/423/4] test_errno passed -- running: test_asyncio (45.9 sec)
0:00:53 load avg: 22.88 [125/423/4] test_exception_hierarchy passed -- running: test_asyncio (46.2 sec)
0:00:54 load avg: 22.55 [126/423/4] test_exception_variations passed -- running: test_asyncio (46.6 sec)
0:00:54 load avg: 22.55 [127/423/4] test_extcall passed -- running: test_asyncio (46.9 sec)
0:00:56 load avg: 21.99 [128/423/4] test_email passed -- running: test_asyncio (49.5 sec)
0:00:57 load avg: 21.70 [129/423/4] test_fcntl skipped -- running: test_asyncio (49.8 sec)
test_fcntl skipped -- No module named 'fcntl'
0:00:57 load avg: 21.70 [130/423/4] test_file passed -- running: test_asyncio (50.2 sec)
0:00:57 load avg: 21.70 [131/423/4] test_file_eintr passed -- running: test_asyncio (50.5 sec)
0:00:58 load avg: 21.50 [132/423/4] test_filecmp passed -- running: test_concurrent_futures (30.6 sec), test_asyncio (51.2 sec)
0:00:59 load avg: 21.55 [133/423/4] test_fileinput passed -- running: test_concurrent_futures (31.3 sec), test_asyncio (51.9 sec)
0:00:59 load avg: 21.55 [134/423/4] test_docxmlrpc passed -- running: test_concurrent_futures (31.9 sec), test_asyncio (52.5 sec)
0:01:00 load avg: 21.55 [135/423/4] test_fileio passed -- running: test_concurrent_futures (32.0 sec), test_asyncio (52.6 sec)
0:01:00 load avg: 21.35 [136/423/4] test_float passed -- running: test_concurrent_futures (32.8 sec), test_asyncio (53.3 sec)
0:01:00 load avg: 21.35 [137/423/4] test_finalization passed -- running: test_concurrent_futures (32.8 sec), test_asyncio (53.4 sec)
0:01:01 load avg: 21.27 [138/423/4] test_fnmatch passed -- running: test_concurrent_futures (33.2 sec), test_asyncio (53.8 sec)
0:01:01 load avg: 21.27 [139/423/4] test_flufl passed -- running: test_concurrent_futures (33.2 sec), test_asyncio (53.8 sec)
0:01:01 load avg: 21.27 [140/423/4] test_fork1 skipped -- running: test_concurrent_futures (33.6 sec), test_asyncio (54.2 sec)
test_fork1 skipped -- object <module 'os' from 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\os.py'> has no attribute 'fork'
0:01:01 load avg: 21.27 [141/423/4] test_format passed -- running: test_concurrent_futures (33.7 sec), test_asyncio (54.3 sec)
0:01:02 load avg: 21.26 [142/423/4] test_fractions passed -- running: test_concurrent_futures (34.2 sec), test_asyncio (54.8 sec)
0:01:02 load avg: 21.26 [143/423/4] test_frame passed -- running: test_concurrent_futures (34.2 sec), test_asyncio (54.8 sec)
0:01:02 load avg: 21.26 [144/423/4] test_frozen passed -- running: test_concurrent_futures (34.7 sec), test_asyncio (55.3 sec)
0:01:03 load avg: 21.24 [145/423/4] test_fstring passed -- running: test_concurrent_futures (35.4 sec), test_asyncio (56.0 sec)
0:01:04 load avg: 21.24 [146/423/4] test_funcattrs passed -- running: test_concurrent_futures (36.0 sec), test_asyncio (56.5 sec)
0:01:05 load avg: 20.95 [147/423/4] test_functools passed -- running: test_concurrent_futures (37.4 sec), test_asyncio (58.0 sec)
0:01:05 load avg: 20.95 [148/423/4] test_future passed -- running: test_concurrent_futures (37.9 sec), test_asyncio (58.5 sec)
0:01:06 load avg: 20.95 [149/423/4] test_future3 passed -- running: test_concurrent_futures (38.2 sec), test_asyncio (58.8 sec)
0:01:06 load avg: 20.61 [150/423/4] test_future4 passed -- running: test_concurrent_futures (38.5 sec), test_asyncio (59.0 sec)
0:01:06 load avg: 20.61 [151/423/4] test_future5 passed -- running: test_concurrent_futures (38.7 sec), test_asyncio (59.3 sec)
0:01:10 load avg: 20.02 [152/423/4] test_gc passed -- running: test_concurrent_futures (42.2 sec), test_asyncio (1 min 2 sec)
0:01:11 load avg: 19.89 [153/423/4] test_gdb skipped -- running: test_concurrent_futures (43.8 sec), test_asyncio (1 min 4 sec)
test_gdb skipped -- test_gdb only works on source builds at the moment.
0:01:12 load avg: 19.89 [154/423/4] test_generator_stop passed -- running: test_distutils (30.0 sec), test_concurrent_futures (44.1 sec), test_asyncio (1 min 4 sec)
0:01:12 load avg: 19.89 [155/423/4] test_faulthandler passed -- running: test_distutils (30.6 sec), test_concurrent_futures (44.6 sec), test_asyncio (1 min 5 sec)
0:01:12 load avg: 19.89 [156/423/4] test_generators passed -- running: test_distutils (30.7 sec), test_concurrent_futures (44.8 sec), test_asyncio (1 min 5 sec)
0:01:12 load avg: 19.89 [157/423/4] test_genericclass passed -- running: test_distutils (30.9 sec), test_concurrent_futures (44.9 sec), test_asyncio (1 min 5 sec)
0:01:13 load avg: 19.89 [158/423/4] test_genericpath passed -- running: test_distutils (31.1 sec), test_concurrent_futures (45.1 sec), test_asyncio (1 min 5 sec)
0:01:13 load avg: 19.89 [159/423/4] test_genexps passed -- running: test_distutils (31.2 sec), test_concurrent_futures (45.3 sec), test_asyncio (1 min 5 sec)
0:01:13 load avg: 19.89 [160/423/4] test_asyncio passed (1 min 5 sec) -- running: test_distutils (31.4 sec), test_concurrent_futures (45.4 sec)
Cancelling an overlapped future failed
future: <_OverlappedFuture pending overlapped=<pending, 0x4027028> cb=[BaseProactorEventLoop._loop_self_reading()]>
Traceback (most recent call last):
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\asyncio\windows_events.py", line 66, in _cancel_overlapped
    self._ov.cancel()
OSError: [WinError 6] The handle is invalid
Cancelling an overlapped future failed
future: <_OverlappedFuture pending overlapped=<pending, 0x1aa4550> cb=[BaseProactorEventLoop._loop_self_reading()]>
Traceback (most recent call last):
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\asyncio\windows_events.py", line 66, in _cancel_overlapped
    self._ov.cancel()
OSError: [WinError 6] The handle is invalid
0:01:13 load avg: 19.68 [161/423/4] test_getargs2 passed -- running: test_distutils (31.5 sec), test_concurrent_futures (45.5 sec)
0:01:13 load avg: 19.68 [162/423/4] test_getopt passed -- running: test_distutils (31.6 sec), test_concurrent_futures (45.7 sec)
0:01:13 load avg: 19.68 [163/423/4] test_getpass passed -- running: test_distutils (31.7 sec), test_concurrent_futures (45.8 sec)
0:01:14 load avg: 19.68 [164/423/4] test_global passed -- running: test_distutils (32.1 sec), test_concurrent_futures (46.2 sec)
0:01:14 load avg: 19.68 [165/423/4] test_gettext passed -- running: test_distutils (32.2 sec), test_concurrent_futures (46.3 sec)
0:01:14 load avg: 19.70 [166/423/4] test_grp skipped -- running: test_distutils (32.6 sec), test_concurrent_futures (46.7 sec)
test_grp skipped -- No module named 'grp'
0:01:15 load avg: 19.70 [167/423/4] test_glob passed -- running: test_distutils (33.4 sec), test_concurrent_futures (47.4 sec)
0:01:16 load avg: 19.74 [168/423/4] test_gzip passed -- running: test_distutils (34.5 sec), test_concurrent_futures (48.5 sec)
0:01:16 load avg: 19.74 [169/423/5] test_distutils failed (34.1 sec) -- running: test_concurrent_futures (48.5 sec)
foo.c
LINK : fatal error LNK1104: cannot open file 'kernel32.lib'
foo.c
LINK : fatal error LNK1104: cannot open file 'kernel32.lib'

C:\Users\tusha\AppData\Local\Temp\test_python_5700\test_python_worker_492>exit 1

C:\Users\tusha\AppData\Local\Temp\test_python_5700\test_python_worker_492>exit 0
test test_distutils failed -- multiple errors occurred; run in verbose mode for details
0:01:16 load avg: 19.84 [170/423/5] test_hmac passed -- running: test_concurrent_futures (48.9 sec)
0:01:17 load avg: 19.84 [171/423/5] test_hashlib passed -- running: test_concurrent_futures (49.0 sec)
0:01:17 load avg: 19.84 [172/423/5] test_hash passed -- running: test_concurrent_futures (49.1 sec)
0:01:17 load avg: 19.84 [173/423/5] test_html passed -- running: test_concurrent_futures (49.2 sec)
0:01:17 load avg: 19.84 [174/423/5] test_htmlparser passed -- running: test_concurrent_futures (49.3 sec)
0:01:17 load avg: 19.84 [175/423/5] test_heapq passed -- running: test_concurrent_futures (49.5 sec)
0:01:17 load avg: 19.76 [176/423/5] test_http_cookies passed -- running: test_concurrent_futures (49.6 sec)
0:01:18 load avg: 19.76 [177/423/5] test_http_cookiejar passed -- running: test_concurrent_futures (50.1 sec)
0:01:21 load avg: 19.26 [178/423/5] test_httpservers passed -- running: test_concurrent_futures (53.5 sec)
0:01:21 load avg: 19.11 [179/423/5] test_ftplib passed -- running: test_concurrent_futures (53.7 sec)
0:01:22 load avg: 19.11 [180/423/5] test_imghdr passed -- running: test_concurrent_futures (54.0 sec)
0:01:22 load avg: 19.11 [181/423/5] test_imp passed -- running: test_concurrent_futures (54.3 sec)
0:01:24 load avg: 18.78 [182/423/5] test_import passed -- running: test_concurrent_futures (56.0 sec)
0:01:24 load avg: 18.78 [183/423/5] test_index passed -- running: test_concurrent_futures (56.4 sec)
0:01:25 load avg: 18.34 [184/423/5] test_inspect passed -- running: test_concurrent_futures (57.7 sec)
0:01:26 load avg: 18.34 [185/423/5] test_int passed -- running: test_concurrent_futures (58.1 sec)
0:01:26 load avg: 18.34 [186/423/5] test_int_literal passed -- running: test_concurrent_futures (58.5 sec)
0:01:26 load avg: 18.07 [187/423/5] test_importlib passed -- running: test_concurrent_futures (58.8 sec)
0:01:27 load avg: 18.07 [188/423/5] test_ioctl skipped -- running: test_concurrent_futures (59.0 sec)
test_ioctl skipped -- No module named 'fcntl'
0:01:27 load avg: 18.07 [189/423/5] test_ipaddress passed -- running: test_concurrent_futures (59.4 sec)
0:01:27 load avg: 17.92 [190/423/5] test_isinstance passed -- running: test_concurrent_futures (59.8 sec)
0:01:28 load avg: 17.92 [191/423/5] test_iter passed -- running: test_concurrent_futures (1 min)
0:01:28 load avg: 17.92 [192/423/5] test_iterlen passed -- running: test_concurrent_futures (1 min)
0:01:29 load avg: 17.63 [193/423/5] test_idle passed -- running: test_concurrent_futures (1 min 1 sec)
0:01:31 load avg: 17.18 [194/423/5] test_imaplib passed -- running: test_concurrent_futures (1 min 3 sec)
0:01:31 load avg: 17.18 [195/423/5] test_json passed -- running: test_concurrent_futures (1 min 3 sec)
0:01:31 load avg: 17.18 [196/423/5] test_keyword passed -- running: test_concurrent_futures (1 min 3 sec)
0:01:31 load avg: 17.18 [197/423/5] test_keywordonlyarg passed -- running: test_concurrent_futures (1 min 3 sec)
0:01:31 load avg: 16.99 [198/423/5] test_kqueue skipped -- running: test_concurrent_futures (1 min 3 sec)
test_kqueue skipped -- test works only on BSD
0:01:32 load avg: 16.99 [199/423/5] test_largefile passed -- running: test_concurrent_futures (1 min 4 sec)
0:01:32 load avg: 16.99 [200/423/5] test_itertools passed -- running: test_concurrent_futures (1 min 4 sec)
0:01:32 load avg: 16.99 [201/423/5] test_linecache passed -- running: test_concurrent_futures (1 min 4 sec)
0:01:32 load avg: 16.99 [202/423/5] test_list passed -- running: test_concurrent_futures (1 min 4 sec)
0:01:32 load avg: 16.99 [203/423/5] test_listcomps passed -- running: test_concurrent_futures (1 min 4 sec)
0:01:33 load avg: 16.80 [204/423/6] test_locale failed -- running: test_concurrent_futures (1 min 5 sec)
test test_locale failed -- Traceback (most recent call last):
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\test_locale.py", line 567, in test_getsetlocale_issue1813
    locale.setlocale(locale.LC_CTYPE, loc)
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\locale.py", line 608, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting
0:01:33 load avg: 16.80 [205/423/6] test_lltrace passed -- running: test_concurrent_futures (1 min 5 sec)
0:01:36 load avg: 16.06 [206/423/6] test_long passed -- running: test_concurrent_futures (1 min 8 sec)
0:01:37 load avg: 15.79 [207/423/6] test_longexp passed -- running: test_concurrent_futures (1 min 9 sec)
0:01:38 load avg: 15.53 [208/423/6] test_io passed -- running: test_concurrent_futures (1 min 10 sec)
0:01:41 load avg: 14.81 [209/423/6] test_mailbox passed -- running: test_concurrent_futures (1 min 13 sec)
0:01:42 load avg: 14.60 [210/423/6] test_mailcap passed -- running: test_concurrent_futures (1 min 14 sec)
0:01:42 load avg: 14.60 [211/423/6] test_lzma passed -- running: test_concurrent_futures (1 min 14 sec)
0:01:42 load avg: 14.60 [212/423/6] test_lib2to3 passed -- running: test_concurrent_futures (1 min 14 sec)
0:01:42 load avg: 14.60 [213/423/6] test_memoryio passed -- running: test_concurrent_futures (1 min 14 sec)
0:01:43 load avg: 14.49 [214/423/6] test_memoryview passed -- running: test_concurrent_futures (1 min 15 sec)
0:01:43 load avg: 14.49 [215/423/6] test_httplib passed -- running: test_concurrent_futures (1 min 15 sec)
0:01:43 load avg: 14.49 [216/423/6] test_metaclass passed -- running: test_concurrent_futures (1 min 15 sec)
0:01:44 load avg: 14.40 [217/423/6] test_minidom passed -- running: test_concurrent_futures (1 min 16 sec)
0:01:46 load avg: 14.48 [218/423/6] test_mimetypes passed -- running: test_concurrent_futures (1 min 18 sec)
0:01:46 load avg: 14.48 [219/423/6] test_math passed -- running: test_concurrent_futures (1 min 18 sec)
0:01:46 load avg: 14.48 [220/423/6] test_module passed -- running: test_concurrent_futures (1 min 18 sec)
0:01:47 load avg: 14.65 [221/423/6] test_msilib passed -- running: test_concurrent_futures (1 min 19 sec)
0:01:47 load avg: 14.65 [222/423/6] test_modulefinder passed -- running: test_concurrent_futures (1 min 19 sec)
0:01:47 load avg: 14.65 [223/423/6] test_multiprocessing_fork skipped -- running: test_concurrent_futures (1 min 19 sec)
test_multiprocessing_fork skipped -- fork is not available on Windows
0:01:47 load avg: 14.65 [224/423/6] test_multiprocessing_forkserver skipped -- running: test_concurrent_futures (1 min 19 sec)
test_multiprocessing_forkserver skipped -- forkserver is not available on Windows
0:01:47 load avg: 14.65 [225/423/6] test_marshal passed -- running: test_concurrent_futures (1 min 19 sec)
0:01:48 load avg: 14.66 [226/423/6] test_multibytecodec passed -- running: test_concurrent_futures (1 min 20 sec)
0:01:48 load avg: 14.66 [227/423/6] test_named_expressions passed -- running: test_concurrent_futures (1 min 20 sec)
0:01:49 load avg: 14.75 [228/423/6] test_netrc passed -- running: test_concurrent_futures (1 min 21 sec)
0:01:49 load avg: 14.75 [229/423/6] test_nis skipped -- running: test_concurrent_futures (1 min 21 sec)
test_nis skipped -- No module named 'nis'
0:01:52 load avg: 14.40 [230/423/6] test_nntplib passed -- running: test_concurrent_futures (1 min 24 sec)
0:01:52 load avg: 14.40 [231/423/6] test_multiprocessing_main_handling passed -- running: test_concurrent_futures (1 min 24 sec)
0:01:53 load avg: 14.40 [232/423/6] test_normalization passed -- running: test_concurrent_futures (1 min 25 sec)
0:01:53 load avg: 14.41 [233/423/6] test_ntpath passed -- running: test_concurrent_futures (1 min 25 sec)
0:01:53 load avg: 14.41 [234/423/6] test_numeric_tower passed -- running: test_concurrent_futures (1 min 25 sec)
0:01:53 load avg: 14.41 [235/423/6] test_openpty skipped -- running: test_concurrent_futures (1 min 25 sec)
test_openpty skipped -- os.openpty() not available.
0:01:53 load avg: 14.41 [236/423/6] test_operator passed -- running: test_concurrent_futures (1 min 25 sec)
0:01:54 load avg: 14.41 [237/423/6] test_optparse passed -- running: test_concurrent_futures (1 min 26 sec)
0:01:54 load avg: 14.45 [238/423/6] test_ordered_dict passed -- running: test_concurrent_futures (1 min 26 sec)
0:01:55 load avg: 14.45 [239/423/6] test_ossaudiodev skipped (resource denied) -- running: test_concurrent_futures (1 min 27 sec)
test_ossaudiodev skipped -- Use of the 'audio' resource not enabled
0:01:55 load avg: 14.45 [240/423/6] test_osx_env passed -- running: test_concurrent_futures (1 min 27 sec)
0:01:55 load avg: 14.39 [241/423/6] test_parser passed -- running: test_concurrent_futures (1 min 27 sec)
0:01:58 load avg: 14.49 [242/423/6] test_logging passed -- running: test_concurrent_futures (1 min 30 sec)
0:01:58 load avg: 14.49 [243/423/6] test_pathlib passed -- running: test_concurrent_futures (1 min 30 sec)
0:01:59 load avg: 14.49 [244/423/6] test_peepholer passed -- running: test_concurrent_futures (1 min 31 sec)
0:01:59 load avg: 14.49 [245/423/6] test_os passed -- running: test_concurrent_futures (1 min 31 sec)
0:01:59 load avg: 14.49 [246/423/7] test_pickle failed -- running: test_concurrent_futures (1 min 31 sec)
test test_pickle crashed -- Traceback (most recent call last):
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\libregrtest\runtest.py", line 270, in _runtest_inner
    refleak = _runtest_inner2(ns, test_name)
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\libregrtest\runtest.py", line 221, in _runtest_inner2
    the_module = importlib.import_module(abstest)
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 783, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\test_pickle.py", line 14, in <module>
    from test.pickletester import AbstractHookTests
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\pickletester.py", line 38, in <module>
    import numpy as np
  File "C:\Users\tusha\AppData\Roaming\Python\Python38\site-packages\numpy\__init__.py", line 138, in <module>
    from . import _distributor_init
  File "C:\Users\tusha\AppData\Roaming\Python\Python38\site-packages\numpy\_distributor_init.py", line 26, in <module>
    WinDLL(os.path.abspath(filename))
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\ctypes\__init__.py", line 373, in __init__
    self._handle = _dlopen(self._name, mode)
OSError: [WinError 193] %1 is not a valid Win32 application
0:01:59 load avg: 14.55 [247/423/7] test_picklebuffer passed -- running: test_concurrent_futures (1 min 31 sec)
0:01:59 load avg: 14.55 [248/423/7] test_mmap passed -- running: test_concurrent_futures (1 min 31 sec)
0:01:59 load avg: 14.55 [249/423/8] test_pickletools failed -- running: test_concurrent_futures (1 min 31 sec)
test test_pickletools crashed -- Traceback (most recent call last):
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\libregrtest\runtest.py", line 270, in _runtest_inner
    refleak = _runtest_inner2(ns, test_name)
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\libregrtest\runtest.py", line 221, in _runtest_inner2
    the_module = importlib.import_module(abstest)
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 783, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\test_pickletools.py", line 4, in <module>
    from test.pickletester import AbstractPickleTests
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\pickletester.py", line 38, in <module>
    import numpy as np
  File "C:\Users\tusha\AppData\Roaming\Python\Python38\site-packages\numpy\__init__.py", line 138, in <module>
    from . import _distributor_init
  File "C:\Users\tusha\AppData\Roaming\Python\Python38\site-packages\numpy\_distributor_init.py", line 26, in <module>
    WinDLL(os.path.abspath(filename))
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\ctypes\__init__.py", line 373, in __init__
    self._handle = _dlopen(self._name, mode)
OSError: [WinError 193] %1 is not a valid Win32 application
0:02:00 load avg: 14.55 [250/423/8] test_pipes skipped -- running: test_concurrent_futures (1 min 32 sec)
test_pipes skipped -- pipes module only works on posix
0:02:00 load avg: 14.55 [251/423/8] test_pkgimport passed -- running: test_concurrent_futures (1 min 32 sec)
0:02:00 load avg: 14.55 [252/423/8] test_pkg passed -- running: test_concurrent_futures (1 min 32 sec)
0:02:00 load avg: 14.77 [253/423/8] test_pkgutil passed -- running: test_concurrent_futures (1 min 32 sec)
0:02:00 load avg: 14.77 [254/423/8] test_platform passed -- running: test_concurrent_futures (1 min 32 sec)
0:02:00 load avg: 14.77 [255/423/8] test_plistlib passed -- running: test_concurrent_futures (1 min 32 sec)
0:02:01 load avg: 14.77 [256/423/8] test_poll skipped -- running: test_concurrent_futures (1 min 32 sec)
test_poll skipped -- select.poll not defined
0:02:01 load avg: 14.77 [257/423/8] test_positional_only_arg passed -- running: test_concurrent_futures (1 min 33 sec)
0:02:01 load avg: 14.82 [258/423/8] test_popen passed -- running: test_concurrent_futures (1 min 33 sec)
0:02:01 load avg: 14.82 [259/423/8] test_pdb passed -- running: test_concurrent_futures (1 min 33 sec)
0:02:01 load avg: 14.82 [260/423/8] test_posix skipped -- running: test_concurrent_futures (1 min 33 sec)
test_posix skipped -- No module named 'posix'
0:02:02 load avg: 14.82 [261/423/8] test_posixpath passed -- running: test_concurrent_futures (1 min 34 sec)
0:02:02 load avg: 14.82 [262/423/8] test_pprint passed -- running: test_concurrent_futures (1 min 34 sec)
0:02:02 load avg: 14.82 [263/423/8] test_concurrent_futures passed (1 min 34 sec)
0:02:02 load avg: 14.89 [264/423/8] test_pow passed
0:02:02 load avg: 14.89 [265/423/8] test_print passed
0:02:02 load avg: 14.89 [266/423/8] test_property passed
0:02:03 load avg: 14.89 [267/423/8] test_pstats passed
0:02:03 load avg: 14.89 [268/423/8] test_pty skipped
test_pty skipped -- No module named 'termios'
0:02:03 load avg: 14.89 [269/423/8] test_profile passed
0:02:03 load avg: 14.89 [270/423/8] test_pulldom passed
0:02:03 load avg: 14.89 [271/423/8] test_pwd skipped
test_pwd skipped -- No module named 'pwd'
0:02:03 load avg: 14.98 [272/423/8] test_py_compile passed
0:02:04 load avg: 14.98 [273/423/8] test_pyexpat passed
0:02:04 load avg: 14.98 [274/423/8] test_quopri passed
0:02:04 load avg: 14.96 [275/423/8] test_raise passed
0:02:05 load avg: 14.96 [276/423/8] test_pyclbr passed
0:02:05 load avg: 14.71 [277/423/8] test_random passed
0:02:06 load avg: 14.71 [278/423/8] test_range passed
0:02:06 load avg: 14.71 [279/423/8] test_readline skipped
test_readline skipped -- No module named 'readline'
0:02:06 load avg: 14.49 [280/423/8] test_re passed
0:02:07 load avg: 14.49 [281/423/8] test_repl passed
0:02:07 load avg: 14.25 [282/423/8] test_reprlib passed
0:02:08 load avg: 14.25 [283/423/8] test_resource skipped
test_resource skipped -- No module named 'resource'
0:02:08 load avg: 14.25 [284/423/8] test_richcmp passed
0:02:08 load avg: 14.25 [285/423/8] test_rlcompleter passed
0:02:09 load avg: 14.01 [286/423/8] test_pydoc passed
0:02:11 load avg: 13.55 [287/423/8] test_robotparser passed
0:02:12 load avg: 14.02 [288/423/8] test_runpy passed
0:02:12 load avg: 14.02 [289/423/8] test_sax passed
0:02:13 load avg: 14.00 [290/423/8] test_scope passed
0:02:13 load avg: 14.00 [291/423/8] test_poplib passed
0:02:13 load avg: 14.00 [292/423/8] test_sched passed
0:02:13 load avg: 14.00 [293/423/8] test_secrets passed
0:02:13 load avg: 14.00 [294/423/8] test_script_helper passed
0:02:13 load avg: 14.00 [295/423/8] test_select passed
0:02:14 load avg: 13.95 [296/423/8] test_setcomps passed
0:02:14 load avg: 13.76 [297/423/8] test_shelve passed
0:02:15 load avg: 13.76 [298/423/8] test_set passed
0:02:15 load avg: 13.76 [299/423/8] test_shlex passed
0:02:15 load avg: 13.53 [300/423/8] test_selectors passed
0:02:16 load avg: 13.53 [301/423/8] test_signal passed
0:02:16 load avg: 13.53 [302/423/8] test_slice passed
0:02:17 load avg: 13.39 [303/423/8] test_smtpd passed
0:02:18 load avg: 13.17 [304/423/8] test_site passed -- running: test_multiprocessing_spawn (30.2 sec)
0:02:18 load avg: 13.17 [305/423/8] test_smtpnet skipped (resource denied) -- running: test_multiprocessing_spawn (30.6 sec)
test_smtpnet skipped -- Use of the 'network' resource not enabled
0:02:19 load avg: 13.16 [306/423/8] test_sndhdr passed -- running: test_multiprocessing_spawn (31.2 sec)
0:02:22 load avg: 13.06 [307/423/8] test_queue passed -- running: test_multiprocessing_spawn (34.2 sec)
0:02:22 load avg: 13.06 [308/423/8] test_socketserver skipped (resource denied) -- running: test_multiprocessing_spawn (34.5 sec)
test_socketserver skipped -- Use of the 'network' resource not enabled
0:02:22 load avg: 13.06 [309/423/8] test_sort passed -- running: test_multiprocessing_spawn (34.9 sec)
0:02:26 load avg: 12.64 [310/423/8] test_smtplib passed -- running: test_multiprocessing_spawn (38.4 sec)
0:02:26 load avg: 12.64 [311/423/8] test_spwd skipped -- running: test_multiprocessing_spawn (38.9 sec)
test_spwd skipped -- No module named 'spwd'
0:02:26 load avg: 12.64 [312/423/8] test_source_encoding passed -- running: test_multiprocessing_spawn (39.1 sec)
0:02:35 load avg: 11.19 [313/423/8] test_sqlite passed -- running: test_multiprocessing_spawn (48.1 sec)
0:02:36 load avg: 11.19 [314/423/8] test_shutil passed -- running: test_multiprocessing_spawn (48.3 sec)
0:02:36 load avg: 11.12 [315/423/8] test_stat passed -- running: test_multiprocessing_spawn (48.6 sec)
0:02:36 load avg: 11.12 [316/423/8] test_startfile passed -- running: test_multiprocessing_spawn (48.7 sec)
0:02:37 load avg: 11.12 [317/423/8] test_strftime passed -- running: test_multiprocessing_spawn (49.2 sec), test_regrtest (30.4 sec)
0:02:37 load avg: 11.07 [318/423/8] test_string passed -- running: test_multiprocessing_spawn (49.5 sec), test_regrtest (30.7 sec)
0:02:37 load avg: 11.07 [319/423/8] test_string_literals passed -- running: test_multiprocessing_spawn (49.9 sec), test_regrtest (31.1 sec)
0:02:38 load avg: 11.07 [320/423/8] test_stringprep passed -- running: test_multiprocessing_spawn (50.2 sec), test_regrtest (31.4 sec)
0:02:38 load avg: 11.12 [321/423/8] test_strptime passed -- running: test_multiprocessing_spawn (50.7 sec), test_regrtest (31.9 sec)
0:02:39 load avg: 11.19 [322/423/8] test_strtod passed -- running: test_multiprocessing_spawn (52.1 sec), test_regrtest (33.3 sec)
0:02:40 load avg: 11.22 [323/423/8] test_struct passed -- running: test_multiprocessing_spawn (52.9 sec), test_regrtest (34.1 sec)
0:02:41 load avg: 11.44 [324/423/8] test_structmembers passed -- running: test_multiprocessing_spawn (53.8 sec), test_regrtest (35.0 sec)
0:02:41 load avg: 11.44 [325/423/8] test_structseq passed -- running: test_multiprocessing_spawn (54.1 sec), test_regrtest (35.3 sec)
0:02:42 load avg: 11.44 [326/423/8] test_subclassinit passed -- running: test_multiprocessing_spawn (54.5 sec), test_regrtest (35.7 sec)
0:02:47 load avg: 12.34 [327/423/8] test_statistics passed -- running: test_multiprocessing_spawn (59.7 sec), test_regrtest (40.9 sec)
0:02:48 load avg: 12.58 [328/423/8] test_regrtest passed (41.2 sec) -- running: test_multiprocessing_spawn (1 min)
0:02:48 load avg: 12.58 [329/423/8] test_sundry passed -- running: test_multiprocessing_spawn (1 min)
0:02:48 load avg: 12.72 [330/423/8] test_sunau passed -- running: test_multiprocessing_spawn (1 min 1 sec)
0:02:49 load avg: 12.72 [331/423/8] test_super passed -- running: test_multiprocessing_spawn (1 min 1 sec), test_socket (30.3 sec)
0:02:49 load avg: 12.72 [332/423/8] test_symbol passed -- running: test_multiprocessing_spawn (1 min 1 sec), test_socket (30.3 sec)
0:02:49 load avg: 12.72 [333/423/8] test_symtable passed -- running: test_multiprocessing_spawn (1 min 1 sec), test_socket (30.6 sec)
0:02:49 load avg: 12.72 [334/423/8] test_syntax passed -- running: test_multiprocessing_spawn (1 min 1 sec), test_socket (30.7 sec)
0:02:50 load avg: 12.58 [335/423/8] test_sys_setprofile passed -- running: test_multiprocessing_spawn (1 min 2 sec), test_socket (31.0 sec)
0:02:50 load avg: 12.58 [336/423/8] test_sys_settrace passed -- running: test_multiprocessing_spawn (1 min 2 sec), test_socket (31.4 sec)
0:02:50 load avg: 12.75 [337/423/8] test_sysconfig passed -- running: test_multiprocessing_spawn (1 min 3 sec), test_socket (31.9 sec)
0:02:51 load avg: 12.75 [338/423/8] test_syslog skipped -- running: test_multiprocessing_spawn (1 min 3 sec), test_socket (32.5 sec)
test_syslog skipped -- No module named 'syslog'
0:02:52 load avg: 12.88 [339/423/8] test_ssl passed -- running: test_multiprocessing_spawn (1 min 4 sec), test_socket (33.2 sec)
0:02:52 load avg: 12.88 [340/423/8] test_tabnanny passed -- running: test_multiprocessing_spawn (1 min 5 sec), test_socket (33.8 sec)
0:02:53 load avg: 12.72 [341/423/8] test_sys passed -- running: test_multiprocessing_spawn (1 min 5 sec), test_socket (34.2 sec)
0:02:54 load avg: 12.76 [342/423/8] test_tcl passed -- running: test_multiprocessing_spawn (1 min 7 sec), test_socket (35.8 sec)
0:02:56 load avg: 12.75 [343/423/8] test_tempfile passed -- running: test_multiprocessing_spawn (1 min 8 sec), test_socket (37.7 sec)
0:02:57 load avg: 12.72 [344/423/8] test_textwrap passed -- running: test_multiprocessing_spawn (1 min 9 sec), test_socket (38.1 sec)
0:02:58 load avg: 12.51 [345/423/8] test_thread passed -- running: test_multiprocessing_spawn (1 min 10 sec), test_socket (39.2 sec)
0:02:59 load avg: 12.35 [346/423/8] test_threaded_import passed -- running: test_multiprocessing_spawn (1 min 11 sec), test_socket (40.6 sec)
0:03:00 load avg: 12.32 [347/423/8] test_threadedtempfile passed -- running: test_multiprocessing_spawn (1 min 12 sec), test_socket (41.1 sec)
0:03:02 load avg: 11.98 [348/423/8] test_tarfile passed -- running: test_multiprocessing_spawn (1 min 14 sec), test_socket (43.8 sec)
0:03:03 load avg: 11.78 [349/423/8] test_threading_local passed -- running: test_multiprocessing_spawn (1 min 15 sec), test_socket (44.3 sec)
0:03:03 load avg: 11.78 [350/423/8] test_threadsignals skipped -- running: test_multiprocessing_spawn (1 min 15 sec), test_socket (44.5 sec)
test_threadsignals skipped -- Can't test signal on win32
0:03:05 load avg: 11.39 [351/423/8] test_time passed -- running: test_multiprocessing_spawn (1 min 18 sec), test_socket (46.9 sec)
0:03:06 load avg: 11.21 [352/423/8] test_timeit passed -- running: test_multiprocessing_spawn (1 min 18 sec), test_socket (47.1 sec)
0:03:06 load avg: 11.21 [353/423/8] test_timeout skipped (resource denied) -- running: test_multiprocessing_spawn (1 min 18 sec), test_socket (47.4 sec)
test_timeout skipped -- Use of the 'network' resource not enabled
0:03:06 load avg: 11.21 [354/423/8] test_subprocess passed -- running: test_multiprocessing_spawn (1 min 18 sec), test_socket (47.7 sec)
    a DOS box should flash briefly ...
0:03:07 load avg: 11.22 [355/423/8] test_tix passed -- running: test_multiprocessing_spawn (1 min 20 sec), test_socket (48.9 sec)
0:03:09 load avg: 11.20 [356/423/8] test_telnetlib passed -- running: test_multiprocessing_spawn (1 min 21 sec), test_socket (50.0 sec)
0:03:10 load avg: 11.71 [357/423/8] test_tokenize passed -- running: test_multiprocessing_spawn (1 min 23 sec), test_socket (51.9 sec)
0:03:13 load avg: 11.74 [358/423/8] test_tk passed -- running: test_multiprocessing_spawn (1 min 25 sec), test_socket (54.2 sec)
0:03:13 load avg: 11.71 [359/423/8] test_threading passed -- running: test_multiprocessing_spawn (1 min 26 sec), test_socket (54.8 sec)
0:03:14 load avg: 11.80 [360/423/8] test_traceback passed -- running: test_multiprocessing_spawn (1 min 27 sec), test_socket (55.9 sec)
0:03:15 load avg: 12.06 [361/423/8] test_tracemalloc passed -- running: test_multiprocessing_spawn (1 min 27 sec), test_socket (56.5 sec)
0:03:16 load avg: 12.06 [362/423/8] test_ttk_textonly passed -- running: test_multiprocessing_spawn (1 min 28 sec), test_socket (57.4 sec)
0:03:18 load avg: 12.72 [363/423/8] test_trace passed -- running: test_multiprocessing_spawn (1 min 30 sec), test_socket (59.3 sec)
0:03:18 load avg: 13.14 [364/423/8] test_tuple passed -- running: test_multiprocessing_spawn (1 min 31 sec), test_socket (59.8 sec)
0:03:18 load avg: 13.14 [365/423/8] test_turtle passed -- running: test_multiprocessing_spawn (1 min 31 sec), test_socket (59.8 sec)
0:03:19 load avg: 13.14 [366/423/8] test_typechecks passed -- running: test_multiprocessing_spawn (1 min 31 sec), test_socket (1 min)
0:03:19 load avg: 13.14 [367/423/8] test_type_comments passed -- running: test_multiprocessing_spawn (1 min 31 sec), test_socket (1 min)
0:03:19 load avg: 13.14 [368/423/8] test_tools passed -- running: test_multiprocessing_spawn (1 min 31 sec), test_socket (1 min)
0:03:20 load avg: 13.55 [369/423/8] test_unary passed -- running: test_multiprocessing_spawn (1 min 32 sec), test_socket (1 min 1 sec)
0:03:20 load avg: 13.55 [370/423/8] test_typing passed -- running: test_multiprocessing_spawn (1 min 32 sec), test_socket (1 min 1 sec)
0:03:20 load avg: 13.55 [371/423/8] test_ucn passed -- running: test_multiprocessing_spawn (1 min 32 sec), test_socket (1 min 1 sec)
0:03:21 load avg: 13.92 [372/423/8] test_unicode_file passed -- running: test_multiprocessing_spawn (1 min 34 sec), test_socket (1 min 2 sec)
0:03:23 load avg: 14.86 [373/423/8] test_unicode_file_functions passed -- running: test_multiprocessing_spawn (1 min 35 sec), test_socket (1 min 4 sec)
0:03:23 load avg: 14.86 [374/423/8] test_ttk_guionly passed -- running: test_multiprocessing_spawn (1 min 35 sec), test_socket (1 min 4 sec)
0:03:23 load avg: 14.86 [375/423/8] test_unicode_identifiers passed -- running: test_multiprocessing_spawn (1 min 35 sec), test_socket (1 min 4 sec)
0:03:24 load avg: 14.86 [376/423/8] test_unicode passed -- running: test_multiprocessing_spawn (1 min 36 sec), test_socket (1 min 5 sec)
0:03:24 load avg: 15.24 [377/423/8] test_unpack passed -- running: test_multiprocessing_spawn (1 min 36 sec), test_socket (1 min 5 sec)
0:03:24 load avg: 15.24 [378/423/8] test_univnewlines passed -- running: test_multiprocessing_spawn (1 min 36 sec), test_socket (1 min 5 sec)
0:03:24 load avg: 15.24 [379/423/8] test_unpack_ex passed -- running: test_multiprocessing_spawn (1 min 36 sec), test_socket (1 min 5 sec)
0:03:25 load avg: 15.37 [380/423/8] test_unicodedata passed -- running: test_multiprocessing_spawn (1 min 38 sec), test_socket (1 min 6 sec)
0:03:26 load avg: 15.11 [381/423/8] test_urllib2net skipped (resource denied) -- running: test_multiprocessing_spawn (1 min 38 sec), test_socket (1 min 7 sec)
test_urllib2net skipped -- Use of the 'network' resource not enabled
0:03:26 load avg: 15.11 [382/423/8] test_urllib_response passed -- running: test_multiprocessing_spawn (1 min 38 sec), test_socket (1 min 7 sec)
0:03:26 load avg: 15.11 [383/423/8] test_urllibnet skipped (resource denied) -- running: test_multiprocessing_spawn (1 min 38 sec), test_socket (1 min 7 sec)
test_urllibnet skipped -- Use of the 'network' resource not enabled
0:03:27 load avg: 14.86 [384/423/8] test_urlparse passed -- running: test_multiprocessing_spawn (1 min 39 sec), test_socket (1 min 8 sec)
0:03:27 load avg: 14.86 [385/423/8] test_urllib2 passed -- running: test_multiprocessing_spawn (1 min 39 sec), test_socket (1 min 8 sec)
0:03:28 load avg: 14.86 [386/423/8] test_userlist passed -- running: test_multiprocessing_spawn (1 min 40 sec), test_socket (1 min 8 sec)
0:03:28 load avg: 14.86 [387/423/8] test_userdict passed -- running: test_multiprocessing_spawn (1 min 40 sec), test_socket (1 min 9 sec)
0:03:28 load avg: 14.85 [388/423/8] test_urllib passed -- running: test_multiprocessing_spawn (1 min 40 sec), test_socket (1 min 9 sec)
0:03:28 load avg: 14.85 [389/423/8] test_utf8source passed -- running: test_multiprocessing_spawn (1 min 41 sec), test_socket (1 min 9 sec)
0:03:29 load avg: 14.92 [390/423/8] test_uu passed -- running: test_multiprocessing_spawn (1 min 41 sec), test_socket (1 min 10 sec)
0:03:29 load avg: 14.92 [391/423/8] test_userstring passed -- running: test_multiprocessing_spawn (1 min 41 sec), test_socket (1 min 10 sec)
0:03:30 load avg: 14.92 [392/423/8] test_uuid passed -- running: test_multiprocessing_spawn (1 min 42 sec), test_socket (1 min 11 sec)
0:03:30 load avg: 15.20 [393/423/8] test_wait3 skipped -- running: test_multiprocessing_spawn (1 min 42 sec), test_socket (1 min 11 sec)
test_wait3 skipped -- os.fork not defined
0:03:31 load avg: 15.20 [394/423/8] test_utf8_mode passed -- running: test_multiprocessing_spawn (1 min 43 sec), test_socket (1 min 12 sec)
0:03:31 load avg: 15.20 [395/423/8] test_wait4 skipped -- running: test_multiprocessing_spawn (1 min 43 sec), test_socket (1 min 12 sec)
test_wait4 skipped -- object <module 'os' from 'C:\\Users\\tusha\\AppData\\Local\\Programs\\Python\\Python38-32\\lib\\os.py'> has no attribute 'fork'
0:03:32 load avg: 15.36 [396/423/8] test_wave passed -- running: test_multiprocessing_spawn (1 min 44 sec), test_socket (1 min 13 sec)
0:03:33 load avg: 15.49 [397/423/8] test_warnings passed -- running: test_multiprocessing_spawn (1 min 45 sec), test_socket (1 min 14 sec)
0:03:33 load avg: 15.85 [398/423/8] test_weakset passed -- running: test_multiprocessing_spawn (1 min 45 sec), test_socket (1 min 14 sec)
0:03:35 load avg: 16.21 [399/423/8] test_webbrowser passed -- running: test_multiprocessing_spawn (1 min 47 sec), test_socket (1 min 16 sec)
ÄÄÄÄÄÄÄÄÄÄ^Z^Z^Z^Z^Z^Z^Z^Z^Z^Z









0:03:39 load avg: 16.57 [400/423/8] test_socket passed (1 min 20 sec) -- running: test_multiprocessing_spawn (1 min 51 sec)
0:03:40 load avg: 16.44 [401/423/8] test_weakref passed -- running: test_multiprocessing_spawn (1 min 52 sec)
0:03:40 load avg: 16.44 [402/423/8] test_winsound skipped (resource denied) -- running: test_multiprocessing_spawn (1 min 52 sec)
test_winsound skipped -- Use of the 'audio' resource not enabled
0:03:40 load avg: 16.17 [403/423/8] test_with passed -- running: test_multiprocessing_spawn (1 min 53 sec)
0:03:41 load avg: 16.17 [404/423/8] test_wsgiref passed -- running: test_multiprocessing_spawn (1 min 53 sec)
0:03:41 load avg: 15.90 [405/423/8] test_xdrlib passed -- running: test_multiprocessing_spawn (1 min 54 sec)
0:03:42 load avg: 15.90 [406/423/8] test_xml_dom_minicompat passed -- running: test_multiprocessing_spawn (1 min 54 sec)
0:03:43 load avg: 15.69 [407/423/8] test_xml_etree passed -- running: test_multiprocessing_spawn (1 min 55 sec)
0:03:43 load avg: 15.69 [408/423/8] test_xml_etree_c passed -- running: test_multiprocessing_spawn (1 min 55 sec)
0:03:46 load avg: 14.78 [409/423/8] test_winreg passed -- running: test_multiprocessing_spawn (1 min 59 sec)
0:03:47 load avg: 14.78 [410/423/8] test_xmlrpc_net skipped (resource denied) -- running: test_multiprocessing_spawn (1 min 59 sec)
test_xmlrpc_net skipped -- Use of the 'network' resource not enabled
0:03:47 load avg: 14.78 [411/423/8] test_xxtestfuzz skipped -- running: test_multiprocessing_spawn (1 min 59 sec)
test_xxtestfuzz skipped -- No module named '_xxtestfuzz'
0:03:47 load avg: 14.68 [412/423/8] test_yield_from passed -- running: test_multiprocessing_spawn (2 min)
0:03:48 load avg: 14.68 [413/423/8] test_zipapp passed -- running: test_multiprocessing_spawn (2 min)
0:03:52 load avg: 13.91 [414/423/8] test_xmlrpc passed -- running: test_multiprocessing_spawn (2 min 4 sec)
0:03:52 load avg: 13.91 [415/423/8] test_zipfile64 skipped (resource denied) -- running: test_multiprocessing_spawn (2 min 4 sec)
test_zipfile64 skipped -- test requires loads of disk-space bytes and a long time to run
0:03:53 load avg: 13.76 [416/423/8] test_zipimport passed -- running: test_multiprocessing_spawn (2 min 5 sec)
0:03:54 load avg: 13.64 [417/423/8] test_zipimport_support passed -- running: test_multiprocessing_spawn (2 min 6 sec), test_urllib2_localnet (30.2 sec)
0:03:55 load avg: 13.43 [418/423/8] test_zlib passed -- running: test_multiprocessing_spawn (2 min 7 sec), test_urllib2_localnet (31.3 sec)
0:03:56 load avg: 13.20 [419/423/8] test_venv passed -- running: test_multiprocessing_spawn (2 min 8 sec), test_urllib2_localnet (31.8 sec)
0:04:01 load avg: 12.16 [420/423/8] test_zipfile passed -- running: test_multiprocessing_spawn (2 min 13 sec), test_urllib2_localnet (36.9 sec)
0:04:05 load avg: 11.38 [421/423/8] test_multiprocessing_spawn passed (2 min 17 sec) -- running: test_winconsoleio (30.4 sec), test_urllib2_localnet (41.5 sec)
0:04:06 load avg: 11.19 [422/423/8] test_urllib2_localnet passed (41.5 sec) -- running: test_winconsoleio (30.8 sec)


== Tests result: FAILURE, INTERRUPTED ==
Test suite interrupted by signal SIGINT.

1 test omitted:
    test_winconsoleio

375 tests OK.

8 tests failed:
    test__locale test_buffer test_compileall test_copyreg
    test_distutils test_locale test_pickle test_pickletools

39 tests skipped:
    test_asdl_parser test_clinic test_curses test_dbm_gnu
    test_dbm_ndbm test_devpoll test_epoll test_fcntl test_fork1
    test_gdb test_grp test_ioctl test_kqueue test_multiprocessing_fork
    test_multiprocessing_forkserver test_nis test_openpty
    test_ossaudiodev test_pipes test_poll test_posix test_pty test_pwd
    test_readline test_resource test_smtpnet test_socketserver
    test_spwd test_syslog test_threadsignals test_timeout
    test_urllib2net test_urllibnet test_wait3 test_wait4 test_winsound
    test_xmlrpc_net test_xxtestfuzz test_zipfile64

Total duration: 4 min 27 sec
Tests result: FAILURE, INTERRUPTED
PS C:\Users\tusha\AppData\Local\Programs\Python\Python38-32>
msg376861 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-09-14 00:47
I should have suggested that you upload the test results as a file.  Anyway, 8 errors: the two locale failures I expected (failures #1, #6), test_distutils (#5, multiple failures), test_compileall (#4), and failures for buffer (#2), copy_reg (#3), pickle (#7), and pickletools (#8) due to an OSError trying to import numpy.
  ...
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\test\test_buffer.py", line 44, in <module>
    from numpy import ndarray as numpy_array
  File "C:\Users\tusha\AppData\Roaming\Python\Python38\site-packages\numpy\__init__.py", line 138, in <module>
    from . import _distributor_init
  File "C:\Users\tusha\AppData\Roaming\Python\Python38\site-packages\numpy\_distributor_init.py", line 26, in <module>
    WinDLL(os.path.abspath(filename))
  File "C:\Users\tusha\AppData\Local\Programs\Python\Python38-32\lib\ctypes\__init__.py", line 373, in __init__
    self._handle = _dlopen(self._name, mode)
OSError: [WinError 193] %1 is not a valid Win32 application

The buffer test catches ImportError but not OSError; I suspect the others are similar.  I consider this a bug in the tests and will try to open another issue.

Just curious: do commands 'python -c "import numpy"' and 'python -c "from numpy import ndarray as numpy_array"' work?

I may ask on python-list for other users to run/test colormixer on installed python.
msg376864 - (view) Author: Jeremy Kloth (jkloth) * Date: 2020-09-14 04:38
The error from importing numpy comes from attempting to load a 64-bit DLL in a 32-bit process.  This stems from the shared user install directory (now fixed in 3.9, I believe).

There is most likely a mix of 32- and 64-bit extensions in the user install directory that are causing issues.  To test this, Tushar, please rename/move the '%APPDATA%\Python\Python38' directory.
msg376971 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-09-16 00:37
Another oddity of this crash is that Python usually checks stack usage and raise RecursionError when the limit is reached.  Event handling apparently can bypass this.

I opened python-list thread "Need tests of turtledemo.colordemo on Windows installations".  Colormixer works fine for Frank Milman and MRAB. Dennis Lee Bieber asked whether there was a mix of 32- and 64-bit stuff.

Until someone else has the same problem, I am tempted to close this as local-system-specific.  ('Works for me')  I certainly have no more to say on this.
msg377251 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-09-21 11:22
Without a reproducible error, we cannot do anything.
History
Date User Action Args
2020-09-21 11:22:33terry.reedysetstatus: open -> closed
resolution: works for me
messages: + msg377251

stage: resolved
2020-09-16 00:37:50terry.reedysetmessages: + msg376971
2020-09-14 04:38:07jklothsetnosy: + jkloth
messages: + msg376864
2020-09-14 00:47:27terry.reedysetmessages: + msg376861
2020-09-13 12:01:23tusharsadhwanisetmessages: + msg376835
2020-09-13 10:08:29terry.reedysetmessages: + msg376830
2020-09-13 06:00:51tusharsadhwanisetmessages: + msg376825
2020-09-13 05:57:48tusharsadhwanisetmessages: + msg376824
2020-09-12 04:19:00terry.reedysetnosy: + terry.reedy
messages: + msg376772
2020-09-11 08:29:13tusharsadhwanicreate